[ Maverik Level 1 functions ]

#

mav_matrixSet

## Summary

Compute a matrix for orientation and position.

## Syntax

MAV_matrix mav_matrixSet(float roll, float pitch, float yaw, float x, float y, float z);

- float roll
  Rotation in degrees about Z-axis.

- float pitch
  Rotation in degrees about X-axis.

- float yaw
  Rotation in degrees about Y-axis.

- float x
  Translation in x.

- float y
  Translation in y.

- float z
  Translation in z.

## Description

This function defines a matrix to perform a rotation followed by a translation. The rotation angles in degrees are defined by `roll` (around the Z-axis), pitch (around the X-axis), and `yaw` (around the Y-axis). Rotations are applied in the order roll, yaw, then pitch. The translation, relative to the origin, is defined by `x`, `y` and `z`.

Back to the index page.